南国さんのゲーム部屋

紫外線に弱い南国人の趣味全開の部屋

LINEスタンプはこちら

【AIR】続・アプリケーションローダーでのエラー対策

【AIR】アプリケーションローダーでのエラー対策 - 南国さんのゲーム部屋

前回の件で無事解決したと思いきや、今度はまた別のエラーが出ましたよ・・・!

 

ERROR ITMS-9000: "Invalid Bundle. The bundle xxxx.app does not support the minimum OS Version specified in the Info.plist."

 

毎度のことながら何言ってるかよくわからない。

だけども毎度のことながらフォーラム漁って解決策見つけました!

 

結論から行きますと

 

AIRの15.0.0.302をダウンロードして入れる

Download Adobe AIR 15 Beta - Adobe Labs

 

パブリッシュ前にアプリ名.xmlをテキストエディタ等で開いて

<InfoAdditions><![CDATA[
<key>UIDeviceFamily</key>
<array>
<string>2</string>
</array>
<key>MinimumOSVersion</key><string>6.0</string>
]]></InfoAdditions>

上記赤文字の部分を挿入する

 

ここに入る数字は6.0だったり6.1だったりするみたいですが、自分の場合は6.0で大丈夫でした、ANEに関係あるとか何とか。

 

これで無事アプリケーションローダーをやり過ごせました。

もういい加減仕様をコロコロ変えるのやめて欲しい・・・

 

今はAdmobのメディエーションとかインタースティシャル広告を実験してます。

メディエーションは上手く使えば効率のいい広告打てそうですよね。

その辺も色々覚えたらまとめて記事にしてみようかと思います。

 

新作アプリもがんばるうぇい!